
Figure - Bug #118910
【AF】【EVT3】【中控联调】 OTA升级后，副屏未同步中控网络图标及时间，音量调节、亮度调节不可用
2023-06-28 11:03 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-28

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0627ota至0115

Resolution: DUPLICATE Degrated: --

Severity: Critical Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause: 和118891原因相同，在118891上跟踪。

Description

【测试版本】

中控0092

副屏0627ota至0115

【测试步骤】

1、OTA升级副屏，

2、副屏重启后，查看副屏时间及网络图标显示

->中控网络满格，副屏网络0格，时间不同步

3、调节副屏音量

->音量调节、亮度调节不可用，中控音量、亮度无变化

【恢复方式】

重启之后网络、时间、音量、亮度均正常同步

History

#1 - 2023-06-28 11:04 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118910

#2 - 2023-06-28 12:42 - CD FW-廖涛

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-廖涛 to CD TPM-王祥林

■ Current conclusion

从第 19 次启动日志看，微服务和微设定启动成功，微服务在与中控建立连接时失败，重试超过 10 次。从报错看应该是网络不通。

日志如下：

06-27 10:42:45.045  2318  2846 D MicroService: send handshake message, currentTryAccount=10

06-27 10:42:47.119  2318  2846 E MicroService: DTC_ETH: BaseMicroSocketClient:createClientSocket() 

06-27 10:42:47.119  2318  2846 E MicroService: java.net.NoRouteToHostException: Host unreachable

06-27 10:42:47.119  2318  2846 E MicroService:     at libcore.io.IoBridge.connect(IoBridge.java:183)

06-27 10:42:47.119  2318  2846 E MicroService:     at java.net.PlainSocketImpl.socketConnect(PlainSocketImpl.java:142)

06-27 10:42:47.119  2318  2846 E MicroService:     at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:390)

06-27 10:42:47.119  2318  2846 E MicroService:     at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:230)
06-27 10:42:47.119  2318  2846 E MicroService:     at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:212)

06-27 10:42:47.119  2318  2846 E MicroService:     at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:436)

06-27 10:42:47.119  2318  2846 E MicroService:     at java.net.Socket.connect(Socket.java:621)

06-27 10:42:47.119  2318  2846 E MicroService:     at java.net.Socket.connect(Socket.java:570)

06-27 10:42:47.119  2318  2846 E MicroService:     at java.net.Socket.<init>(Socket.java:450)

06-27 10:42:47.119  2318  2846 E MicroService:     at java.net.Socket.<init>(Socket.java:292)

06-27 10:42:47.119  2318  2846 E MicroService:     at com.thundercomm.microservice.base.BaseMicroSocketClient.createClientSocket(BaseMicroSocketClient.java:20)

06-27 10:42:47.119  2318  2846 E MicroService:     at com.thundercomm.microservice.MicroSocketClient.serialSendMessage(MicroSocketClient.java:100)

06-27 10:42:47.119  2318  2846 E MicroService:     at

com.thundercomm.microservice.MicroSocketClient.lambda$handShark$1$MicroSocketClient(MicroSocketClient.java:115)

06-27 10:42:47.119  2318  2846 E MicroService:     at com.thundercomm.microservice.MicroSocketClient$$ExternalSyntheticLambda0.run(Unknown Source:4)

06-27 10:42:47.119  2318  2846 E MicroService:     at java.lang.Thread.run(Thread.java:920)

■ Next action

需要网络相关的开发进行分析。

#3 - 2023-06-28 12:53 - CD TPM-王祥林

- Category changed from CD-FW to BSP

- Assignee changed from CD TPM-王祥林 to CD_BSP 彭文亮

#4 - 2023-06-28 13:56 - CD TEST-方永红

- Subject changed from 【AF】【EVT3】【输入法】 OTA升级后，副屏未同步中控网络图标及时间，音量调节、亮度调节不可用 to 【AF】【EVT3】【中

控联调】 OTA升级后，副屏未同步中控网络图标及时间，音量调节、亮度调节不可用

#5 - 2023-06-28 14:33 - CD_BSP 彭文亮

*结论：*内核启动时间过长，导致phy芯片的初始化  发生在了  phy状态准备好之前。正常的顺序应该是，phy状态准备好->phy芯片的初始化。建议转给

研究系统的同学。@王祥林

备注：

日志分析。判定故障应该发生在第149次。

000149_merged_kernel_file.log

11-11 14:01:22.789     0     0 I [   31.712022] mv2112_setup_work_handler: Try to setup link again!     #phy芯片的初始化

11-11 14:01:22.796     0     0 I         : [   31.720839] mv2112_setup_forced

11-11 14:01:24.614     0     0 E [   33.512992] mv2112_read_status: autoneg not complete;time=33512 ms  #phy状态准备好

01-01 22:01:05.744     0     0 E [   10.464022] link_delay_work_func: DTC_ETH: SQI=0, link=0           #后续一直在报告，处于有线网络断网状态。

......

06-28 01:24:24.814     0     0 E [  501.984326] link_delay_work_func: DTC_ETH: SQI=0, link=0

#6 - 2023-06-28 15:56 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD_BSP 彭文亮 to CD TEST-方永红

- Resolution changed from -- to DUPLICATE

- Root cause set to 和118872原因相同，在118872上跟踪。

和118891原因相同，在118891上跟踪。
#7 - 2023-06-30 10:41 - CD TPM-王祥林

- Root cause changed from 和118872原因相同，在118872上跟踪。 to 和118891原因相同，在118891上跟踪。

#8 - 2023-06-30 10:44 - CD TPM-王祥林

- Assignee changed from CD TEST-方永红 to 移动测试一组_CDTS 刘强

请用明天的版本进行OTA压测，看看是否存在升级之后没有网络的情况。

#9 - 2023-07-02 14:34 - 移动测试一组_CDTS 刘强

20230702：压测20次未复现

#10 - 2023-07-06 17:16 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

0118 ：24次未复现

0704 vb：未复现

#11 - 2023-07-06 17:17 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
